package com.logicbig.example;

import javax.ws.rs.client.Client;
import javax.ws.rs.client.ClientBuilder;
import javax.ws.rs.client.WebTarget;

public class UserClient {
    public static void main(String[] args) throws Exception {
        allUsersRequest();
        userRequestById();
    }

    private static void allUsersRequest() {
        System.out.println("-- all users request --");
        Client client = ClientBuilder.newBuilder().build();
        WebTarget target =
                client.target("http://localhost:8080/users");

        String response = target.queryParam("maxLimit", 500)
                                .request()
                                .get(String.class);
        System.out.println("response: " + response);
    }

    private static void userRequestById() {
        System.out.println("-- user request by id --");
        Client client = ClientBuilder.newBuilder().build();
        WebTarget target =
                client.target("http://localhost:8080/users/20");

        String response = target.request().get(String.class);
        System.out.println("response: " + response);
    }
}